# class Tk::BWidget::PanelFrame

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

add(win, keys={}) click to toggle source

    # File lib/tkextlib/bwidget/panelframe.rb, line 28
    def add(win, keys={})
      tk_send('add', win, keys)
      self
    end

delete(*wins) click to toggle source

    # File lib/tkextlib/bwidget/panelframe.rb, line 33
    def delete(*wins)
      tk_send('delete', *wins)
      self
    end

get_frame(&b) click to toggle source

    # File lib/tkextlib/bwidget/panelframe.rb, line 38
    def get_frame(&b)
      win = window(tk_send_without_enc('getframe'))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

items() click to toggle source

    # File lib/tkextlib/bwidget/panelframe.rb, line 50
    def items
      simplelist(tk_send('items')).map{|w| window(w)}
    end

remove(*wins) click to toggle source

    # File lib/tkextlib/bwidget/panelframe.rb, line 54
    def remove(*wins)
      tk_send('remove', *wins)
      self
    end

remove_with_destroy(*wins) click to toggle source

    # File lib/tkextlib/bwidget/panelframe.rb, line 59
    def remove_with_destroy(*wins)
      tk_send('remove', '-destroy', *wins)
      self
    end

### Private Instance Methods

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/bwidget/panelframe.rb, line 23
    def __strval_optkeys
      super() + ['panelforeground', 'panelbackground']
    end